package com.jeelowcode.service.system.api;

import com.jeelowcode.service.system.service.ISensitiveWordService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 敏感词 API 实现类
 *
 * @author 永不言败
 */
@Service
public class ApiSensitiveWordApiImpl implements IApiSensitiveWordApi {

    @Resource
    private ISensitiveWordService sensitiveWordService;

    @Override
    public List<String> validateText(String text, List<String> tags) {
        return sensitiveWordService.validateText(text, tags);
    }

    @Override
    public boolean isTextValid(String text, List<String> tags) {
        return sensitiveWordService.isTextValid(text, tags);
    }
}
